import java.io.IOException;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Scanner;

public class TelnetKliens {
	public static void main(String[] args) throws UnknownHostException, IOException, InterruptedException {
		int PORT = 12345;
		String GEP = "localhost";
		
		try (
			Socket socket = new Socket(GEP, PORT);
			Scanner sc = new Scanner(socket.getInputStream());
			PrintWriter pw = new PrintWriter(socket.getOutputStream());
		) {
			Thread thread1 = new Thread(() -> kuldesiTevekenysegetIndit(pw));
			thread1.start();

			// fogadasiTevekenysegetIndit();
			Thread thread2 = new Thread(() -> {
				while (sc.hasNextLine()) {
					String line = sc.nextLine();
					System.out.println(line);
				}
			});
			thread2.start();

			thread1.join();
			thread2.join();
		}
	}

	private static void kuldesiTevekenysegetIndit(PrintWriter pw) {
		Scanner scStdIn = new Scanner(System.in);
		while (scStdIn.hasNextLine()) {
			String line = scStdIn.nextLine();
			pw.println(line);
			pw.flush();
		}
	}
}
